{% load static %}
{% load i18n %}

{% block content %}

  <div id="divModal_station" class="modal fade" role="dialog" data-backdrop="static" data-keyboard="false">
    <div class="vertical-alignment-helper">
      <div class="modal-dialog vertical-align-center">
        <!-- Modal content-->
        <div class="modal-content">
          <div class="modal-header drag">
            <button type="button" class="close fechar" data-dismiss="modal"><span aria-hidden="true">&times;</span><span class="sr-only">{% trans "Fechar" %}</span></button>
            <span class="modal-title"><span id="formLabel"></span><input id="sid" type="hidden" /></span>
          </div>
          <div class="modal-body">

            {% for form in forms %}
              {% for field in form.visible_fields %}
                {% if not 'lat' in field.auto_id and not 'lon' in field.auto_id and not 'id_stations' in field.auto_id %}
                <div class="fieldWrapper">
                  {{ field.label_tag }} {{ field }}
                  {% if 'cstation' in field.auto_id %}
                  <button id="btn_order" class="btn-xs btn-default pull-right grp_C">
                    {% trans "Ordenar por distância" %}
                  </button>
                  <h5 class="text-warning" style="padding: 5px 0px">{{ field.errors }}</h5>
                  <br/>
                  {% else %}
                  <h5 class="text-warning">{{ field.errors }}</h5>
                  {% endif %}
                </div>
                {% else %}
                <div class="fieldWrapper divinline" style="padding-top: 0;">
                  {{ field.label_tag }} {{ field }}
                  {% if field.help_text %}
                  <h5 class="text-info">{{ field.help_text|safe }}</h5>
                  {% endif %}
                  <h5 class="text-warning">{{ field.errors }}</h5>
                </div>
                {% endif %}
              {% endfor %}
              {% for hidden in form.hidden_fields %}
              {{ hidden }}
              {% endfor %}
            {% endfor %}
            <div id="form_errors" class="alert alert-danger"></div>

            <div class="modal-footer">
              <button type="button" class="btn btn-default fechar" data-dismiss="modal">{% trans "Fechar" %}</button>
              <button id="btn_apply" class="btn btn-primary"><span id="applyLabel"></span></button>
            </div>
          </div>

        </div>
      </div>
    </div>
  </div>


  <!-- JQuery UI - IMPORTANT - custom build without tooltip widget (conflict with Bootstrap) -->
  <link rel="stylesheet" href="{% static 'vendor/jquery/jquery-ui-1.12.1.min.css' %}">
  <script src="{% static 'vendor/jquery/jquery-ui-1.12.1.min.js' %}"></script>
  <script type="text/javascript">
    // Make this Modal window draggable to allow map visualization
    $('#divModal_station').draggable({handle: '.modal-header'});
  </script>

{% endblock content %}